# Visualization
TKV3d
Visual3d

# Visual3d_ContextPick Class Reference

This class allows the creation and update of
a pick context for one view of the viewer.
A context allows the control of different parameters
before the activation of a pick.
.

`#include <Visual3d_ContextPick.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_ContextPick ()
| Creates a context from default values .
Standard_EXPORT | Visual3d_ContextPick (const Standard_Real Aperture, const Standard_Integer Depth, const Visual3d_TypeOfOrder Order)
| Creates a context with the values defined Warning: Raises ContextPickDefinitionError if <depth> or <aperture> is a negative value. .
Standard_EXPORT void | SetAperture (const Standard_Real Aperture)
| Modifies the size of the pick window. Category: Methods to modifies the class definition Warning: Raises ContextPickDefinitionError if <aperture> is a negative value. .
Standard_EXPORT void | SetDepth (const Standard_Integer Depth)
| Modifies the pick depth a priori. Category: Methods to modifies the class definition Warning: Raises ContextPickDefinitionError if <depth> is a negative value. .
Standard_EXPORT void | SetOrder (const Visual3d_TypeOfOrder Order)
| Modifies the order of picking. .
Standard_EXPORT Standard_Real | Aperture () const
| Returns the size of the pick window <me>. .
Standard_EXPORT Standard_Integer | Depth () const
| Returns the effective pick depth of <me>. .
Standard_EXPORT Visual3d_TypeOfOrder | Order () const
| Returns the order of picking of <me>. .

## Private Attributes

Standard_Real | MyAperture
Standard_Integer | MyDepth
Visual3d_TypeOfOrder | MyOrder

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_ContextPick::Visual3d_ContextPick | ( |  | ) |

Standard_EXPORT Visual3d_ContextPick::Visual3d_ContextPick | ( | const Standard_Real | Aperture,
|  | const Standard_Integer | Depth,
|  | const Visual3d_TypeOfOrder | Order
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Visual3d_ContextPick::Aperture | ( |  | ) | const

Standard_EXPORT Standard_Integer Visual3d_ContextPick::Depth | ( |  | ) | const

void Visual3d_ContextPick::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_ContextPick::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_ContextPick::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Visual3d_TypeOfOrder Visual3d_ContextPick::Order | ( |  | ) | const

Standard_EXPORT void Visual3d_ContextPick::SetAperture | ( | const Standard_Real | Aperture | ) |

Standard_EXPORT void Visual3d_ContextPick::SetDepth | ( | const Standard_Integer | Depth | ) |

Standard_EXPORT void Visual3d_ContextPick::SetOrder | ( | const Visual3d_TypeOfOrder | Order | ) |

## Field Documentation

Standard_Real Visual3d_ContextPick::MyAperture `[private]`

Standard_Integer Visual3d_ContextPick::MyDepth `[private]`

Visual3d_TypeOfOrder Visual3d_ContextPick::MyOrder `[private]`

The documentation for this class was generated from the following file:

- Visual3d_ContextPick.hxx